-- MySQL dump 9.11
--
-- Host: localhost    Database: netacct
-- ------------------------------------------------------
-- Server version	4.0.23_Debian-6-log

--
-- Table structure for table `logins`
--

CREATE TABLE `logins` (
  `uid` int(10) unsigned NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `ip` char(20) NOT NULL default '',
  PRIMARY KEY  (`uid`,`date`)
) TYPE=MyISAM;

--
-- Table structure for table `payments`
--

CREATE TABLE `payments` (
  `payid` int(10) unsigned NOT NULL auto_increment,
  `ipid` int(10) NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `paid` enum('0','1') NOT NULL default '0',
  `price` float(8,3) NOT NULL default '0.000',
  `traffic` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`payid`),
  KEY `ipid` (`ipid`),
  KEY `date` (`date`)
) TYPE=MyISAM;

--
-- Table structure for table `rrd`
--

CREATE TABLE `rrd` (
  `ip` varchar(15) NOT NULL default '',
  `input` int(20) NOT NULL default '0',
  `output` int(20) NOT NULL default '0',
  `peer_input` int(20) NOT NULL default '0',
  `peer_output` int(20) NOT NULL default '0',
  `direct_input` int(20) NOT NULL default '0',
  `direct_output` int(20) NOT NULL default '0',
  `local_input` int(20) NOT NULL default '0',
  `local_output` int(20) NOT NULL default '0'
) TYPE=MyISAM;

--
-- Table structure for table `tariffs`
--

CREATE TABLE `tariffs` (
  `tariffid` int(10) NOT NULL auto_increment,
  `text` varchar(100) NOT NULL default '',
  `price` float(5,3) unsigned default '0.000',
  PRIMARY KEY  (`tariffid`)
) TYPE=MyISAM;

--
-- Table structure for table `traffic`
--

CREATE TABLE `traffic` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `ip` varchar(15) NOT NULL default '',
  `time` datetime NOT NULL default '0000-00-00 00:00:00',
  `input` int(20) unsigned NOT NULL default '0',
  `output` int(20) unsigned NOT NULL default '0',
  `peer_input` int(20) unsigned NOT NULL default '0',
  `peer_output` int(20) unsigned NOT NULL default '0',
  `direct_input` int(20) unsigned NOT NULL default '0',
  `direct_output` int(20) unsigned NOT NULL default '0',
  `local_input` int(20) unsigned NOT NULL default '0',
  `local_output` int(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `ip` (`ip`),
  KEY `time` (`time`)
) TYPE=MyISAM;

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `uid` int(10) NOT NULL auto_increment,
  `login` varchar(15) NOT NULL default '',
  `password` varchar(35) NOT NULL default '',
  `status` enum('client','pclient','admin') NOT NULL default 'client',
  `email` varchar(100) NOT NULL default '',
  `language` varchar(10) NOT NULL default 'en',
  `input_traffic_price` float(5,2) unsigned default '0.00',
  `output_traffic_price` float(5,2) unsigned default '0.00',
  `input_peering_price` float(5,2) unsigned default '0.00',
  `output_peering_price` float(5,2) unsigned default '0.00',
  `input_direct_price` float(5,2) unsigned default '0.00',
  `output_direct_price` float(5,2) unsigned default '0.00',
  `input_local_price` float(5,2) unsigned default '0.00',
  `output_local_price` float(5,2) unsigned default '0.00',
  PRIMARY KEY  (`uid`,`login`),
  UNIQUE KEY `uid` (`uid`),
  UNIQUE KEY `login` (`login`)
) TYPE=MyISAM;

--
-- Table structure for table `users_ip`
--

CREATE TABLE `users_ip` (
  `ipid` bigint(40) NOT NULL auto_increment,
  `uid` int(10) NOT NULL default '0',
  `ip` varchar(15) NOT NULL default '',
  `mac` varchar(17) NOT NULL default 'ff:ff:ff:ff:ff:ff',
  `rate` smallint(5) default '32',
  `rate_unit` enum('bit','Kbit','Mbit') default 'Kbit',
  `traffic` bigint(20) NOT NULL default '0',
  `flag` enum('limit','no','block','firewall','day','month') NOT NULL default 'limit',
  `traffic_day` int(12) NOT NULL default '0',
  PRIMARY KEY  (`ipid`),
  UNIQUE KEY `ip_2` (`ip`),
  KEY `uid` (`uid`),
  KEY `ip` (`ip`)
) TYPE=MyISAM;

--
-- Table structure for table `users_log`
--

CREATE TABLE `users_log` (
  `id` int(10) NOT NULL auto_increment,
  `login` varchar(15) NOT NULL default '',
  `ifname` varchar(8) NOT NULL default '',
  `login_time` int(11) NOT NULL default '0',
  `logout_time` int(11) NOT NULL default '0',
  `remote_ip` varchar(15) NOT NULL default '',
  `bytes_recv` int(12) NOT NULL default '0',
  `bytes_sent` int(12) NOT NULL default '0',
  `ip_param` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

